Bio::Restriction::Enzyme::MultiCut(3)

NAME
Bio::Restriction::Enzyme::MultiCut - A single restriction endonuclease

SYNOPSIS
  # set up a single restriction enzyme. This contains lots of
  # information about the enzyme that is generally parsed from a
  # rebase file and can then be read back

  use Bio::Restriction::Enzyme;

DESCRIPTION
This module defines a restriction endonuclease class where one object represents one of the distinct recognition sites for that enzyme. The method others stores references to other objects with alternative sites.

In this schema each object within an EnzymeCollection can be checked for matching a sequence.

REBASE report notation "Bsp24I (8/13)GACNNNNNNTGG(12/7)" means:

   Bsp24I
             5'      ^NNNNNNNNGACNNNNNNTGGNNNNNNNNNNNN^   3'
             3' ^NNNNNNNNNNNNNCTGNNNNNNACCNNNNNNN^        5'

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR
Heikki Lehvaslaiho, heikki-at-bioperl-dot-org

CONTRIBUTORS
Rob Edwards, redwards@utmem.edu

COPYRIGHT
Copyright (c) 2003 Rob Edwards.

Some of this work is Copyright (c) 1997-2002 Steve A. Chervitz. All Rights Reserved. This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Bio::Restriction::Enzyme, Bio::Restriction::Analysis, Bio::Restriction::EnzymeCollection

APPENDIX
Methods beginning with a leading underscore are considered private and are intended for internal use by this module. They are not considered part of the public interface and are described here for documentation purposes only.

  new
 Title     : new
 Function
 Function  : Initializes the enzyme object
 Returns   : The Restriction::Enzyme::MultiCut object
 Argument  :

  others
 Title     : others
 Usage     : $re->others(@enz_obj_array);
 Function  : Stores auxiliary Enzyme::MultiCut objects for multicutting enzymes
 Arguments : optional array of Enzyme::MultiCut objects
 Returns   : array of Enzyme objects

Added for compatibility to REBASE

  purge_others
 Title     : purge_others
 Usage     : $re->purge_references();
 Function  : Purges the set of references for this enzyme
 Arguments :
 Returns   :